summaryrefslogtreecommitdiffstats
path: root/debian/spline-startup.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/spline-startup.init')
-rw-r--r--debian/spline-startup.init98
1 files changed, 98 insertions, 0 deletions
diff --git a/debian/spline-startup.init b/debian/spline-startup.init
new file mode 100644
index 0000000..97f03fa
--- /dev/null
+++ b/debian/spline-startup.init
@@ -0,0 +1,98 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: spline-startup
+# Required-Start: $all
+# Required-Stop: $all
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: startup for users
+# Description: <Enter a long description of the software>
+# <...>
+# <...>
+### END INIT INFO
+
+# Author: Alexander Sulfrian <alex@spline.inf.fu-berlin.de>
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC=spline-startup
+NAME=spline-startup
+SPLINE_STARTUP=/usr/bin/spline-startup
+SPLINE_STARTUP_ARGS=""
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+. /lib/init/vars.sh
+. /lib/lsb/init-functions
+
+do_action() {
+ action="$1"
+ $SPLINE_STARTUP --syslog $SPLINE_STARTUP_ARGS "$action"
+}
+
+do_start() {
+ do_action "start"
+}
+
+do_stop() {
+ do_action "stop"
+}
+
+do_reload() {
+ do_action "reload"
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC" "$NAME"
+ do_reload
+ log_end_msg $?
+ ;;
+
+ restart)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+: